package client.Java_client;

import javax.security.auth.login.LoginContext;
import hero.client.test.SimpleCallbackHandler;

import hero.interfaces.*;
import java.util.*;

public class InstantiateApproval {
		
		static public void main(String[] args) throws Exception{
			// Admin login
			char[] password={'t','o','t','o'};
			SimpleCallbackHandler handler = new SimpleCallbackHandler("admin",password);
			LoginContext lc = new LoginContext("TestClient", handler);
			lc.login();
			
			// Create an instance of the ProjectSession API
			ProjectSessionHome projectSessionh=ProjectSessionUtil.getHome();
			ProjectSession ps = projectSessionh.create();

			// Check if the process model exists
			if (ps.existingProject("Approval_workflow"))
			{
				// Creates 30 workflow instances
				for(int index= 0;index<30;index++)
					ps.instantiateProject("Approval_workflow");
				
				System.out.println("30 instances of the Approval Workflow process where created and assigned to the default user \n");
				// Creates an instance of the UserSession API
				UserSessionHome usersh=UserSessionUtil.getHome();
				UserSession usr=usersh.create();
				System.out.println("Activities todo list will be retrieved using the pagination API \n");
				// List the user todo list using the pagination pattern API
				Collection pks = usr.getToDoListAllInstancesAsPK();
				int i=0;
				while(i<pks.size())
				{
					int maxnumber = i+10;
					System.out.println("Activities from "+i+" to "+maxnumber);
					Collection activities = usr.getToDoListAllInstancesByPK(pks,i,10);
					Iterator acts = activities.iterator();
					while (acts.hasNext())
					{
						BnNodeValue node = (BnNodeValue)acts.next();
						System.out.println("Activity Name = "+node.getName()+", from Instance Name= "+node.getBnProject().getName());
					}
					i=maxnumber;
				}
			}else
				throw new Exception("The Approval_workflow model was not deployed in the engine, please deploy it first !");
			
		}
	}

