package util;

import javax.security.auth.login.LoginContext;
import hero.client.test.SimpleCallbackHandler;

import hero.interfaces.*;

import java.util.*;

public class Delete_model {
	
	static public void main(String[] args) throws Exception{
		
		try{
		char[] password={'t','o','t','o'};
		SimpleCallbackHandler handler = 
			new SimpleCallbackHandler("admin",password);
		LoginContext lc = new LoginContext("TestClient", handler);
		lc.login();
		
		UserSessionHome userSessionh=UserSessionUtil.getHome();
		UserSession us=userSessionh.create();
			
		Collection instances = us.getProjectInstancesNames("Approval_workflow");
		
		Iterator i = instances.iterator();
		while (i.hasNext())
		{
			String instName = (String)i.next();
			us.removeProject(instName);
		}
		
		ProjectSessionHome projectSessionh=ProjectSessionUtil.getHome();
		ProjectSession ps=projectSessionh.create();
		if (ps.existingProject("Approval_workflow"))
			us.removeProject("Approval_workflow");
		}catch (Exception e){throw new Exception ("An error was produced during the "+args[0]+" model delete: "+e.getMessage());}
	}
}

