package hero.client.grapheditor;

/**
 * WFToolBar2.java
 *
 *
 * Created: Fri Aug 09 16:18:15 2002
 *
 * @version 1.0
 */

import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.Color;

import javax.swing.ImageIcon;
import javax.swing.JButton;

public class WFToolBar2 extends javax.swing.JToolBar {

static java.util.ResourceBundle resource = java.util.ResourceBundle.getBundle("resources.Traduction")/*#BundleType=List*/;

	public WFToolBar2(final Frame frame, final WFManager manager) {

		super.setFloatable(true);
		this.putClientProperty("JToolBar.isRollover", Boolean.TRUE);
		this.setMargin(new Insets(0, 5, 0, 0));
		this.setBackground(new Color(177,177,251));
		JButton jb;

		ClassLoader cl = frame.getClass().getClassLoader();

		jb = new JButton(new ImageIcon(cl.getResource("images/Active.gif")));
		jb.setToolTipText(resource.getString("wftoolbar2.new"));
		jb.setBackground(new Color(177,177,251));
		jb.setEnabled(manager.getPersistence().hasPermission());
		jb.setMargin(new Insets(0, 0, 0, 0));
		jb.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				manager.addNode();
			}
		});

		super.add(jb);

		jb = new JButton(new ImageIcon(cl.getResource("images/grey.gif")));
		jb.setToolTipText(resource.getString("wftoolbar2.subproc"));
		jb.setBackground(new Color(177,177,251));
		jb.setEnabled(manager.getPersistence().hasPermission());
		jb.setMargin(new Insets(0, 0, 0, 0));
		jb.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				manager.addNodeSubProcess();
			}
		});

		super.add(jb);

		jb = new JButton(new ImageIcon(cl.getResource("images/Transition.gif")));
		jb.setBackground(new Color(177,177,251));
		jb.setToolTipText(resource.getString("wftoolbar2.edge"));
		jb.setMargin(new Insets(0, 0, 0, 0));
		jb.setEnabled(manager.getPersistence().hasPermission());
		jb.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				manager.addEdge();
			}
		});
		super.add(jb);
	}
}
