package hero.client.test;

import hero.interfaces.*;

import junit.framework.*;

public class DbInit extends TestCase {

	private BnUserHome uhome;
	private BnAuthRoleHome arhome;

	public DbInit(String testname) {
	super(testname);
	}
    
	public static TestSuite suite() {

	return new TestSuite(DbInit.class);
	}

	public void setUp() throws Exception {
	}

	public void testDbInit() throws Exception {
		InsertAuthRoleUserHome lHome = InsertAuthRoleUserUtil.getHome(); 
		InsertAuthRoleUser lBean = (InsertAuthRoleUser) lHome.create();
		lBean.initializeUser("admin","toto","admin@bonita.org");
		lBean.initializeUser("admin2","toto2","admin@bonita.org");
		lBean.initializeUser("nobody","nobody","admin@bonita.org");
		lBean.initializeAuthRole("BONITAUSER","BONITAUSER");
		lBean.initializeAuthRole("nobody","nobody");
		lBean.initialize("admin","BONITAUSER");
		lBean.initialize("admin","nobody");
		lBean.initialize("admin2","BONITAUSER");
		lBean.initialize("admin2","nobody");
		lBean.initialize("nobody","nobody");	
	}

}
