/**
 *
 * Bonita
 * Copyright (C) 1999 Bull S.A.
 * Bull 68 route de versailles  78434 Louveciennes Cedex France
 * Further information: bonita@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
--------------------------------------------------------------------------
 * $Id: UsersTests.java,v 1.1 2004/07/30 14:57:58 mvaldes Exp $
 *
--------------------------------------------------------------------------
 */

package hero.client.test.stress;
import hero.interfaces.UserRegistration;
import hero.interfaces.UserRegistrationHome;
import hero.interfaces.UserRegistrationUtil;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class UsersTests extends TestCase {
 
    public UsersTests(String testname) {
	super(testname);
    }
    
    public static TestSuite suite() {
	return new TestSuite(UsersTests.class);
    }

    public void setUp() throws Exception {
    }
    
    public void testCreateUsers() throws Exception {
	UserRegistrationHome urHome = UserRegistrationUtil.getHome();
	UserRegistration userReg=urHome.create();
	int i;
	for (i=0;i<2500;i++)
	{
		userReg.userCreate("user"+i,"userpass"+i,"miguel.valdes-faura@ext.bull.net");
		/*String startMail = "false";
		String startJabber = "false";
		String terminateMail = "false";
		String terminateJabber = "false";
		userReg.setUserProperty("user"+i,hero.util.EventConstants.START+"Mail",startMail);
		userReg.setUserProperty("user"+i,hero.util.EventConstants.START+"Jabber",startJabber);
		userReg.setUserProperty("user"+i,hero.util.EventConstants.TERMINATED+"Mail",terminateMail);
		userReg.setUserProperty("user"+i,hero.util.EventConstants.TERMINATED+"Jabber",terminateJabber);*/
	}
		
	}


}
