package hero.mapper;

/*
* 02/01/2002 - 15:24:07
*
* LdapMapper.java - 
* Copyright (C) 2002 Ecoo Team
* charoy@loria.fr
* 
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

import hero.interfaces.BnRoleLocal;
import hero.util.HeroException;

import org.apache.log4j.Category;
import java.util.Collection;
import java.util.ArrayList;

public class PropertiesMapper extends Mapper {

    // Utility variable
    private static final Category log = Category.getInstance(LdapMapper.class);


    public PropertiesMapper(String name, int type) {
	super(name,type);
    }

    public Collection execute(Object bean, int type, BnRoleLocal role, String userName) throws HeroException {    
    	// logs trace
    	log.debug("execute: type="+type+" role="+role.getName() + " instance creator =" + userName);
		Collection user = new ArrayList();
		user.add(userName);
		return (user);
    }


}
