package hero.util;

public class KeyModelsCache {
	private String model;
	private String version;
	private int hashcode;
	public KeyModelsCache(String pModel, String pVersion) {
		model = pModel;
		version = pVersion;
		hashcode = model.hashCode()+version.hashCode();
	}
	
	public int hashCode(){
		return hashcode;
	}
	
	public boolean equals(Object o){
		KeyModelsCache other = (KeyModelsCache)o;
		return(this.model.equals(other.model) && this.version.equals(other.version));
	}
}
