package hero.util.values;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: BonitaHookValue.java,v 1.1 2005/03/18 14:55:18 mvaldes Exp $
*
--------------------------------------------------------------------------
*/

import java.io.Serializable;
import java.util.Vector;

public final class BonitaHookValue implements Serializable {

    // --------------------------------------------------- Instance Variables

	private String name="";
	private String event="";
	private int type;

    // ----------------------------------------------------------- Properties

	public String getName() {
		return (name);
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getEvent() {
		return (event);
	}
	
	public void setEvent(String event) {
		this.event= event;
	}
	
	public int getType() {
		return (type);
	}
	
	public void setType(int type) {
		this.type= type;
	}
	
	public BonitaHookValue(){}   

}
