package hero.util.values;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: BonitaPropertyValue.java,v 1.2 2005/03/30 15:20:17 mvaldes Exp $
*
--------------------------------------------------------------------------
*/


import java.io.Serializable;
import java.util.Collection;
import java.util.Vector;

public final class BonitaPropertyValue implements Serializable {

    // --------------------------------------------------- Instance Variables

	private String key="";
	private String value="";
	private boolean propagate = true;
	private Collection possibleValues=null;

    // ----------------------------------------------------------- Properties

	public String getKey() {
		return (key);
	}
	
	public void setKey(String key) {
		this.key = key;
	}
	
	public String getValue() {
		return (value);
	}
	
	public void setValue(String value) {
		this.value= value;
	}
	
	public boolean getPropagate() {
		return (propagate);
	}
	
	public void setPropagate(boolean propagate) {
		this.propagate= propagate;
	}
	
	public Collection getPossibleValues() {
		return (possibleValues);
	}
	
	public void setPossibleValues(Collection possibleValues) {
		this.possibleValues= possibleValues;
	}
	
    public BonitaPropertyValue(){}   

}
