package hero.xpdl;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: XPDLParticipant.java,v 1.1 2006/06/06 08:16:08 mvaldes Exp $
*
--------------------------------------------------------------------------
*/

import java.io.Serializable;
import java.util.Vector;

public final class XPDLParticipant implements Serializable, java.lang.Cloneable {

    // --------------------------------------------------- Instance Variables

    private String description = "";
    
    private String id = "";

    private String name = "";
    
    private String type = "";
    
    private String mapperName = "";
    
    private String mapperType = "";
    
    private String mapperClassName = "";
    
    //field containing either : projectName, either the cste : PACKAGE_LEVEL
    private String projectName = "";
    

    // ----------------------------------------------------------- Properties
    
    public String getName() {
    	return (name);
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
    	return (id);
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
    	return (type);
    }
    
    public void setType(String type) {
        this.type = type;
    }

    public String getMapperName() {
    	return (mapperName);
    }

    public void setMapperName(String mapperName) {
        this.mapperName = mapperName;
    }    
  
    public String getMapperType() {
    	return (mapperType);
    }

    public void setMapperType(String mapperType) {
        this.mapperType = mapperType;
    }
    
    public String getMapperClassName() {
    	return (mapperClassName);
    }

    public void setMapperClassName(String mapperClassName) {
        this.mapperClassName = mapperClassName;
    }
    
    public String getDescription() {
    	return (description);
    }

    public void setDescription(String description) {
        this.description = description;
    }
    
    // projectName (or "Package_level")
    public String getProjectName() {
    	return (projectName);
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public XPDLParticipant(){}

    public Object clone() throws java.lang.CloneNotSupportedException{
	return super.clone();
    }

}
