/**
 *
 * Bonita
 * Copyright (C) 1999 Bull S.A.
 * Bull 68 route de versailles  78434 Louveciennes Cedex France
 * Further information: bonita@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * 
 */
package hero.hook;

import hero.util.HeroHookException;
import hero.interfaces.BnNodeLocal;
import hero.interfaces.Constants;
import hero.interfaces.*;

public class CancelActivity implements hero.hook.NodeHookI {

	public String getMetadata() {
		return Constants.Nd.ONDEADLINE;
	}

    public void create(Object b,BnNodeLocal n) throws HeroHookException {}
    public void beforeStart(Object b,BnNodeLocal n) throws HeroHookException {}
    public void afterStart(Object b,BnNodeLocal n) throws HeroHookException {} 
    public void beforeTerminate(Object b,BnNodeLocal n) throws HeroHookException {}
    public void afterTerminate(Object b,BnNodeLocal n) throws HeroHookException {}
    public void onCancel(Object b,BnNodeLocal n) throws HeroHookException {}
    public void anticipate(Object b,BnNodeLocal n) throws HeroHookException {}
    public void onReady(Object b,BnNodeLocal n) throws HeroHookException {}
    
    public void onDeadline(Object engine, BnNodeLocal currentNode) throws HeroHookException {
		try{
			System.out.println("\n\n   --> withdraw_order activity has been cancelled <--\n");
			UserSessionHome userHome = UserSessionUtil.getHome();
			UserSession userSession = userHome.create();
			userSession.cancelActivity(currentNode.getBnProject().getName(), "withdraw_order");
		}catch(Exception e){e.printStackTrace();}
    }
}
