/**
 *
 * Bonita
 * Copyright (C) 1999 Bull S.A.
 * Bull 68 route de versailles  78434 Louveciennes Cedex France
 * Further information: bonita@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
--------------------------------------------------------------------------
 * $Id: CustomGroupMembers.java,v 1.1 2005/08/29 13:50:28 mvaldes Exp $
 *
--------------------------------------------------------------------------
 */

package hero.initiatorMapper;

import hero.util.HeroException;
import hero.interfaces.BnProjectLocal;

import java.util.*;


public class CustomGroupMembers implements hero.initiatorMapper.InitiatorMapperI {

    public Collection searchMembers(Object b,BnProjectLocal n, String userName) throws HeroException {
    	ArrayList users = new ArrayList();
	    //String projectName=n.getName();
	    //String projectName=n.getBnProject().getName();
    	String intiatorMapperName = n.getBnInitiatorMapper().getName();
    	int initiatorMapperType = n.getBnInitiatorMapper().getType();
    	String projectName = n.getName();
    	
	    // logs trace	    
	    System.out.println("[CustomGroupMembers] Intiator Mapper Name:"+intiatorMapperName + " type = " + initiatorMapperType + " - Project name = " + projectName);
	    System.out.println("[CustomGroupMembers] Not implemented ..... ");
		try {

			// To be implemented !!!
			// ...
			// return as ex. collection containing the connected user 
			//users.add(userName);
			users.add("roro");
			users.add("riri");
			return users;
		} catch (Exception e) {		    
			throw new HeroException("Error setting initiator mapper: Name = " + intiatorMapperName  + " type = " + initiatorMapperType + " - " + e.getMessage());
		}				    
    } 

}















