package hero.util;

import javax.security.auth.login.LoginContext;
import hero.client.test.SimpleCallbackHandler;

import hero.interfaces.*;

import java.util.*;

public class Delete_model {
	
	static public void main(String[] args) throws Exception{
		
		try{
		char[] password={'t','o','t','o'};
		SimpleCallbackHandler handler = 
			new SimpleCallbackHandler("admin",password);
		LoginContext lc = new LoginContext("TestClient", handler);
		lc.login();
		
		UserSessionHome userSessionh=UserSessionUtil.getHome();
		UserSession us=userSessionh.create();
				
		Collection instances = us.getProjectInstancesNames(args[0]);
		Iterator i = instances.iterator();
		while (i.hasNext())
		{
			String instName = (String)i.next();
			us.removeProject(instName);
			System.out.println("   Deleting instance : " + instName);
		}

		us.removeProject(args[0]);
		System.out.println("   Deleting previous model : " + args[0] + "\n");
		}catch (Exception e){throw new Exception ("An error was produced during the "+args[0]+" model delete: "+e.getMessage());}
	}
}

