package hero.ra.loadclass;

/**
 *
 * Bonita
 * Copyright (C) 1999 Bull S.A.
 * Bull 68 route de versailles  78434 Louveciennes Cedex France
 * Further information: bonita@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
 --------------------------------------------------------------------------
 * $Id$
 *
 --------------------------------------------------------------------------
 */

import java.io.File;

import javax.naming.Context;

import org.objectweb.jonas.server.JClassLoader;
import org.objectweb.jonas.common.JProp;


public class LoadClassJonas
{
	/**
	 * It is needed to invoke this method dynamically to enable compilation
	 * in JBoss environment
	 * @throws Exception if a problem occured
	 */
	public static void modifyClassLoader() throws Exception
	{
		/*
		 * Thread.currentThread().getContextClassLoader() would have obtained
		 * the apps class loader, which is common to all deployed application.
		 * Instead the ear class loader is obtained. 
		 */
		JClassLoader serviceLoader = (JClassLoader) LoadClassJonas.class.getClassLoader();
        File f = new File(JProp.getJonasBase() + File.separator + "bonitaScripts");
       	serviceLoader.addURL(f.toURI().toURL());
	}
}
