<%
// UserPreferences.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page import="fr.improve.struts.taglib.layout.util.LayoutUtils,java.util.Vector,hero.struts.activity.Event" %>
<% LayoutUtils.init(pageContext.getServletContext()); %>

<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>

<html>
<head>
<link rel="stylesheet" href='/bonita/config/default.css' type="text/css">
</head>
<body>

<% Vector v = new Vector(); v.add("True");
   pageContext.setAttribute("v", v); %>

<% Vector events = new Vector();
   events.add("nodeDeadline");
   events.add("setNodeExecutor");
   events.add("setEdgeState");
   events.add("addUserProject");
   events.add("deleteNode");
   events.add("deleteEdge");
   events.add("changeRole");
   events.add("addRole");
   events.add("setUserRole");
   events.add("setUserRole");
   events.add("initialReady");
   pageContext.setAttribute("events", events);

 %>


<table width="982" border="0" cellpadding="0">
<td><b><bean:message key="bonita.userpreferences"/></b></td>
<%
if ((pageContext.getSession()).getAttribute("username") != null)
{
  String username = (pageContext.getSession()).getAttribute("username").toString();
%>
<td align="right"><font color="#009900"><I><%=username%></I></font></td>
<%}else{%>
<td align="right" color="#FF0000"><b class="log"><bean:message key="bonita.notlogged"/></b></td>
<%}%>


</table>

<hr align="left" width="982" color="#993366" size="5"</hr>

<table cellpadding="2" cellspacing="2" border="0" width="600" align="center">
<tbody>
<tr valign="Top">
<td valign="Top"><br>

<layout:panel styleClass="FORM" key="Notification Events" width="400" align="left">

<layout:form action="userpreferences.action" align="center" styleClass="FORM">


<table cellpadding="2" cellspacing="2" border="0" width="400">
  <tbody>
    <tr bgcolor="blue">
      <td valign="top"><font color="#ffffff"><bean:message key="preferences.eventTypes"/>
      </td>
      <td valign="Top"><font color="#ffffff"><bean:message key="preferences.mailNotification"/>
      </td>
      <td valign="Top"><font color="#ffffff"><bean:message key="preferences.jabberNotification"/>
      </td>
    </tr>
    <tr>
      <td valign="Top"><bean:message key="preferences.startActivity"/>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
     	  <layout:checkbox key="" property="startMail"/>
	</td></tr>
        </table>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
     	  <layout:checkbox key="" property="startJabber"/>
	</td></tr>
        </table>
      </td>
    </tr>
    <tr>
      <td valign="Top"><bean:message key="preferences.terminateActivity"/>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
     	  <layout:checkbox key="" property="terminateMail"/>
 	</td></tr>
        </table>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
      	  <layout:checkbox key="" property="terminateJabber"/>
	</td></tr>
        </table>
      </td>
    </tr>
    <tr>
      <td valign="Top"><bean:message key="preferences.addNode"/>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
     	  <layout:checkbox key="" property="addNodeMail"/>
 	</td></tr>
        </table>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
      	  <layout:checkbox key="" property="addNodeJabber"/>
	</td></tr>
        </table>
      </td>
    </tr>
    <tr>
      <td valign="Top"><bean:message key="preferences.addEdge"/>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
     	  <layout:checkbox key="" property="addEdgeMail"/>
 	</td></tr>
        </table>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
      	  <layout:checkbox key="" property="addEdgeJabber"/>
	</td></tr>
        </table>
      </td>
    </tr>
    <tr>
      <td valign="Top"><bean:message key="preferences.nodeState"/>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
     	  <layout:checkbox key="" property="nodeStateMail"/>
 	</td></tr>
        </table>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
      	  <layout:checkbox key="" property="nodeStateJabber"/>
	</td></tr>
        </table>
      </td>
    </tr>
    <tr>
      <td valign="Top"><bean:message key="preferences.nodeDeadline"/>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
     	  <layout:checkbox key="" property="nodeDeadlineMail"/>
 	</td></tr>
        </table>
      </td>
      <td valign="Top">
        <table  border="0">
        <tr><td>
      	  <layout:checkbox key="" property="nodeDeadlineJabber"/>
	</td></tr>
        </table>
      </td>
    </tr>
  </tbody>
</table>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

</layout:form>

</layout:panel>

</td>
</tr>
</tbody>
</table>
<table cellpadding="2" cellspacing="2" border="0" align="left">
<tbody>
<tr valign="Top"><td valign="Top">
<html:errors property="user_error"/>

</td></tr>
</table>
</body>
</html>
