<%@ page language="java" %>
<%@ page import="java.util.Vector, java.util.Collection, hero.interfaces.BnRoleLocal, java.util.Iterator" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>

<jsp:useBean id="node" scope="session" class="hero.util.StrutsNodeValue"/>

<%
    /*  Vector roles = new Vector();

      Collection pRoles = project.getRoles();
      Iterator iproles = pRoles.iterator();
     pageContext.setAttribute("pRoles", pRoles);
      while(iproles.hasNext())
      {
        BnRoleLocal actualpRole = (BnRoleLocal)iproles.next();
        roles.add(actualpRole.getName());
      }
      pageContext.setAttribute("roles", roles);*/

    Vector ant = new Vector();
    ant.add("true");
    ant.add("false");
    pageContext.setAttribute("ant", ant);

    Vector events = new Vector();
    events.add("beforeStart");
    events.add("afterStart");
    events.add("beforeTerminate");
    events.add("afterTerminate");
    events.add("anticipate");
    events.add("onCancel");
    pageContext.setAttribute("events", events);

    Vector types = new Vector();
    types.add("Java");
    types.add("Tcl");
    pageContext.setAttribute("types", types);

    Vector types2 = new Vector();
    types2.add("InteractionBS");
    pageContext.setAttribute("types2", types2);
    
    /*Vector properties = new Vector(project.getNodeProperties(node.getName()));
    Vector hooks = new Vector(project.getNodeHooks(node.getName()));
    Vector interhooks = new Vector(project.getNodeInterHooks(node.getName()));
    pageContext.setAttribute("properties", properties);
    pageContext.setAttribute("hooks", hooks);
    pageContext.setAttribute("interhooks", interhooks);*/
%>

<html>

<head>
		<link style="test/css" rel="stylesheet" href="/bonita/config/default.css">
</head>
<body>

<table align="center" border="0">
	<tr>
		<td>
			<table cellpadding="2" cellspacing="2" border="0" width="800" align="center" class="viewer">
				<tr valign="Top">
					<td width="400" align="center">
						<html:form action="/protected/activity.action?action=Add">
							<table class="viewer">
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.project"/>
									</td>
									<td class="viewerActBody">
										<c:out value="${node.projectName}"/>
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.activity"/>
									</td>
									<td class="viewerActBody">
										<c:out value="${node.name}"/>
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.creator"/>
									</td>
									<td class="viewerActBody">
										<c:out value="${node.creator}"/>
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.state"/>
									</td>
									<td class="viewerActBody">
										<c:out value="${node.state}"/>
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.type"/>
									</td>
									<td class="viewerActBody">
										<c:out value="${node.type}"/>
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.executor"/>
									</td>
									<td class="viewerActBody">
										<c:out value="${node.executor}"/>
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.role"/>
									</td>
									<td class="viewerActBody">
										<html:select name="node" property="role" styleClass="resultAct">
											<html:options collection="pRoles" property="name" labelProperty="name"/>
										</html:select> 
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.description"/>
									</td>
									<td class="viewerActBody">
										<html:textarea name="node" property="description" rows="5" cols="25" styleClass="resultAct"/>
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										<bean:message key="prompt.anticipable"/>
									</td>
									<td class="viewerActBody">
										<html:radio name="node" property="anticipable" value="true"/>True
										<html:radio name="node"  property="anticipable" value="false"/>false
									</td>
								</tr>
								<tr>
									<td class="viewerActTitle">
										Date:
									</td>
									<td class="viewerActBody">
										<html:text name="node" property="deadline" styleClass="resultAct"/><a href="javascript:void(0)" onclick="if(self.gfPop)gfPop.fPopCalendar(document.activityForm.deadline);return false;" HIDEFOCUS><img name="popcal" align="absmiddle" src="/bonita/config/calbtn.gif" width="34" height="22" border="0" alt=""></a>		
										<iframe width=174 height=189 name="gToday:normal:agenda.js" id="gToday:normal:agenda.js" src="/bonita/config/ipopeng.htm" scrolling="no" frameborder="0" style="visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;">
										</iframe>
									</td>
								</tr>
								<tr>
									<td align="center">		
										<html:submit><bean:message key="activity.change"/></html:submit>
										<html:errors property="role"/>
										<html:errors property="deadline"/>
										<html:errors property="description"/>
										<html:errors property="activity_error"/>
									</td>
								</tr>
							</table>	
						</html:form>
					</td>			
					<td>
					<table border="0">
						<tr>
							<td>
								<H4 align="left">
									<bean:message key="activity.properties"/>
								</H4>
								<% if (((Vector)pageContext.findAttribute("properties")).size() == 0) {%>
									<div align="left"><bean:message key="properties.notexist"/></div>
								<%}else{%>
									<table class="viewer" align="left" cellspacing="0" cellpadding="0">
   										<tr  class="tableau">
      										<td class="projet">Name
      										</td>
      										<td class="projet">Value
      										</td>
      										<td class="projet">Action
      										</td>
   										</tr>
   										<c:forEach items="${properties}" var="prope">
      									<tr>
         									<td class="tableau">
         										<c:out value="${prope.theKey}"/>
         									</td>
         									<td class="tableau">
        										<c:out value="${prope.theValue}"/>
         									</td>
         									<td>
            									<table>
               										<td>
                  										<a href="property.action?propertyAction=DeleteNode&key=<c:out value="${prope.theKey}"/>"  onclick="return confirm('Really delete file?');" class="viewer">remove</a>
               										</td>
               										<td>
                  										<a href="property.action?propertyAction=EditNodeProp&key=<c:out value="${prope.theKey}"/>" class="viewer">edit</a>
               										</td>
            									</table>
         									</td>
      									</tr>
  										</c:forEach>
									</table>
								<%}%>
							</td>
						</tr>			
						<tr>
							<td witdh="400" align="left"><br>
								<table cellpadding="0" cellspacing="0" border="0" width="100%" align="left" class="viewer">
									<tr>
										<td>
											<H4><bean:message key="activity.interhooks"/></H4>
											<c:if test="${empty interhooks}">
												<bean:message key="hooks.notexist"/>
											</c:if>
											<c:if test="${ not empty interhooks}">
											<table class="viewer" cellspacing="0" cellpadding="2">
   												<tr class="tableau">
      												<td class="projet">Name
      												</td>
      												<td class="projet">Event
      												</td>
      												<td class="projet">Type
      												</td>
     		 										<td class="projet">Script
      												</td>
      												<td class="projet">Action
      												</td>
   												</tr>
   												<c:forEach items="${interhooks}" var="intho">
      											<tr>
         											<td class="tableau">
         												<c:out value="${intho.name}"/>
         											</td>
         											<td class="tableau">
        												<c:out value="${intho.event}"/>
        											</td>
         											<td class="tableau">
         												<c:out value="${intho.type}"/>
         											</td> 
	 												<td class="tableau">
         												<c:out value="${intho.script}"/>
         											</td>
													<td>
														<table>
															<td>
         														<a href="hook.action?hookAction=DeleteNode&name=<c:out value="${intho.name}"/>"  onclick="return confirm('Really delete file?');" class="viewer">remove</a>	
         													</td>
           													<td>
               													<a href="hook.action?hookAction=editScript&name=<c:out value="${intho.name}"/>" class="viewer">edit</a>
            												</td>
            											</table>
            										</td>
     										 	</tr>
   												</c:forEach>
											</table>
											</c:if>
										</td>
									</tr>
								</table>
							</td>
						</tr>
<br>
<br>
						<tr>
							<td><br><br>



<% 
   if ((pageContext.getRequest()).getParameter("propertyAction") != null && (((pageContext.getRequest()).getParameter("propertyAction")).equals("EditNode") || ((pageContext.getRequest()).getParameter("propertyAction")).equals("EditNodeProp"))) 
   {
      
%> 

<c:choose>
<c:when test="${prop==1}">
<Form method="POST" action="/bonita/protected/property.action?propertyAction=AddNode" class="FORM">
<table><tr><td>key : </td><td><input type="text" name="key" value="<c:out value="${PROP.key}"/>"readonly></td></tr>
<tr><td>value : </td><td><input type="text" name="value" value="<c:out value="${PROP.value}"/>"></td></tr>
<tr><td><input type="submit" value="submit"></td></tr></table>
</Form>
</c:when>
<c:otherwise>
<Form method="POST" action="/bonita/protected/property.action?propertyAction=AddNode" class="FORM">
<table><tr><td>key : </td><td><input type="text" name="key" value=""></td></tr>
<tr><td>value : </td><td><input type="text" name="value" value=""></td></tr>
<tr><td><input type="submit" value="submit"></td></tr></table>
</Form>
</c:otherwise>
</c:choose>


<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && ((pageContext.getRequest()).getParameter("hookAction")).equals("EditNode2"))
   {
%> 
<Form method="POST" action="/bonita/protected/hook.action?hookAction=AddNode2">
<table>
	<tr>
		<td>
			<bean:message key="prompt.hookName"/>
		</td>
		<td>
			<input type="text" name="name" value="">
		</td>
	</tr>
		<tr>
		<td>
			<bean:message key="prompt.event"/>
		</td>
		<td>
			<select name="event">
				<c:forEach items="${events}" var="event">
					<option value="<c:out value="${event}"/>"><c:out value="${event}"/></option>
				</c:forEach>
				
			</select>
		</td>
	</tr>
	<tr>
		<td>
			<bean:message key="prompt.type"/>
		</td>
		<td>
				<c:forEach items="${types2}" var="type2">
					<input type="text" name="type" value="<c:out value="${type2}"/>" />
				</c:forEach>
		</td>
	</tr>
	<tr>
		<td>
			<input type="submit">
		</td>
	</tr>
</table>
</form>

<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && (pageContext.findAttribute("inter")).equals("true"))
   {
%> <layout:form action="/protected/hook.action?hookAction=AddNodeHook" focus="name" styleClass="FORM" key="hook" align="center">

  <layout:textarea key="prompt.script" property="value" styleClass="LABEL" mode="E,E,E" rows="10" size="40" maxlength="50"/>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

 </layout:form>

<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && (pageContext.getRequest()).getParameter("hookAction").equals("editScript"))
   {
%> 
<Form method="POST" action="/bonita/protected/hook.action?hookAction=addEditScript" class="FORM">
<table><!--<tr><td>key : </td><td><input type="text" name="key" value="<c:out value="${PROP.key}"/>"readonly></td></tr>-->
<tr><td>script :</td><td><textarea type="textarea" rows="15" name="value" cols="40"><c:out value="${scri}"/></textarea></td></tr>
<tr><td><input type="submit" value="submit"></td></tr></table>
</Form>
<%}%>

<html:errors property="hook_error"/>
<html:errors property="property_error"/>

							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
</tr>
<tr>
<td align="center">
			<table align="center">
               <tr>
               <td><a class="viewer" href="/bonita/protected/Action.jsp?projectname=<c:out value="${node.projectName}"/>"><bean:message key="nav.back"/></a> | </td>
                		<td><a href="activity.action?action=viewactivity" class="viewer"><bean:message key="activity.viewmode"/></a> | </td> 
                		<td><a href="property.action?propertyAction=EditNode" style="text-decoration: none;" class="viewer"><bean:message key="property.add"/></a> | </td>
                		<td><td valign="Top" width="130" align="Center"><a href="hook.action?hookAction=EditNode2" style="text-decoration: none;" class="viewer"><bean:message key="hookInter.add"/></a> | </td>
                		<td><a class="viewer" href="/chainsaw/chainsaw.jnlp"><bean:message key="log.menu"/></a></td>
                	</tr>
            </table>
</td>
</tr>
</table>
</body>
</html>
