<%
// Index.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<br>


<table width="100%" border="0" cellpadding="0">
    <tr>
	<td>
		<b><bean:message key="index.bonita"/></b>
	</td>
<%
if ((pageContext.getSession()).getAttribute("username") != null)
{
  String username = (pageContext.getSession()).getAttribute("username").toString();
%>
	<td align="right"><font color="#009900"><I><%=username%></I></font></td>
<%}else{%>
	<td align="right" color="#FF0000"><b class="log"><bean:message key="bonita.notlogged"/></b></td>
<%}%>

</tr>
</table>

<hr align="left" width="100%" color="#993366" size="5"</hr>
<br>
<br>

<table align="center" border="0">
	<tr><td align="center">
   <table cellspacing="0"  class="viewer" width="500" align="left">
    <tbody>
      <tr valign="Top" bgcolor="#3333CC"><td></td>
        <td height="1" align="left"><b class="projet"><i18n:message key="index.project"/></b></td>
        <td height="1" align="center"><b class="projet"><bean:message key="index.state"/></b></td>
	<td height="1" align="center"><b class="projet"><bean:message key="index.activities"/></b></td>
    <td height="1" align="center"><b class="projet"><bean:message key="index.creator"/></b></td>
	<td height="1" align="center"><b class="projet"><bean:message key="index.users"/></b></td>
	</tr>
<%--Dcalration de la variable grant le numro de page des projet pour le "pager" --%>
<c:if test="${empty numpageprojet}">
<c:set var="numpageprojet" value="1" scope="session"/>
</c:if>
<%--variable enregistrant le numro de l'iteration  --%>
<c:set var="last" value="false" scope="page"/>
<%-- compteur pour le nombre de projet par page  --%>
<c:set var="i" value="0" scope="page"/>
<%-- nombre de projet par page  --%>
<c:if test="${empty nbprojet}">
<c:set var="nbprojet" value="7" scope="session"/>
</c:if>
<c:set var="couleur" value="1" scope="session"/>
  <c:forEach items="${allprojects}" var="projectItem" varStatus="status" begin="${nbprojet*numpageprojet-nbprojet}">
    <c:if test="${i<nbprojet}">
       <c:if test="${(not last || status.first)}">
        
              <tr height="30">
              <td align="center"><img src="./images/fleur.gif" border="0" width="20" height="20"></td>
	      <td>
		<a href="/bonita/protected/Action.jsp?projectname=<c:out value="${projectItem.name}"/>" class="viewer">
 		  <b><c:out value="${projectItem.name}"/></b>
		</a>
 	      </td>
	      <td align="center">
		<c:out value="${projectItem.state}"/>
	      </td>
	      <td align="center">
		<c:out value="${projectItem.nact}"/>
	      </td>
	    <td align="center">
		<c:out value="${projectItem.creator}"/>
	      </td>
	      <td align="center">
		<c:out value="${projectItem.nusers}"/>
	      </td>
	    </tr>
         <c:if test="${status.last}">
      <c:set var="last" value="true" scope="page"/>
      </c:if>
       </c:if>
        <c:set var="i" value="${i+1}"/>
        </c:if>
  <c:set var="numprojetmax" value="${status.index+1}" scope="session"/>
	  </c:forEach> 

   </tbody>

  </table>
</td></tr>
<tr><td>
<html:errors property="project_error"/>
<table align="center" cellspacing="5"><tr>
<c:if test="${i==0}">
 <c:set var="numpageprojet" value="0"/>
</c:if>
<c:if test="${numpageprojet!=0}">
 <div align="center">
   <c:if test="${numpageprojet>1}">
  <td> <a href="/bonita/Firstpage.jsp" class="pager"><<</a></td>
  <td><a href="/bonita/Prevpage.jsp" class="pager"><</a></td>
   </c:if>
   
   <td>page
   <c:out value="${numpageprojet}"/>
   /
   <c:if test="${numprojetmax%nbprojet>0.0}">
   <c:set var="numprojetmax" value="${numprojetmax+nbprojet/2}" scope="session"/>
   </c:if>
   <%-- Si la valeur de numpagemax n'a pas t dfinie --%>
   
   <fmt:formatNumber var="numprojetmax" value="${numprojetmax/nbprojet}" type="number" maxFractionDigits="0" scope="session"/>
   <c:out value="${numprojetmax}"/></td>
   <c:if test="${not last}">
   <td><a href="/bonita/Nextpage.jsp" class="pager">></a></td>
   <td><a href="/bonita/Lastpage.jsp" class="pager">>></a></div></td>
   </c:if>
   
</c:if>
<c:if test="${numpageprojet==0}">
<td><p align="center"><bean:message key="pager.noproject"/></p></td>
</c:if>
</tr></table>
</td></tr>
</table>
