<%
// ProjectConfig.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page import="java.util.Vector, java.util.Iterator, java.util.Collection, hero.interfaces.BnUserLightValue, hero.interfaces.BnRoleValue, hero.interfaces.BnProjectPropertyValue, hero.interfaces.BnProjectHookValue, hero.interfaces.BnRoleLocal" %>
<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>


<% 
  /*  pageContext.setAttribute("hooks", new Vector(project.getHooks()));
    pageContext.setAttribute("properties", new Vector(project.getProperties()));
    pageContext.setAttribute("interHooks", new Vector(project.getInterHooks()));
    Collection users = project.getUsers();
    Iterator iusers = users.iterator();

    Vector usersP = new Vector();
    Vector rolesP = new Vector();
    int i,j;

    while(iusers.hasNext())
    {
      String actualUser = (String)iusers.next();
      Collection uRoles = project.getUserRoles(actualUser);
      Collection pRoles = project.getRoles();

      Iterator iuroles = uRoles.iterator();
      while(iuroles.hasNext())
      {
         BnRoleLocal actualuRole = (BnRoleLocal)iuroles.next();
         Iterator iproles = pRoles.iterator();
         while(iproles.hasNext())
         {
           BnRoleLocal actualpRole = (BnRoleLocal)iproles.next();
           if (actualuRole.getId() == actualpRole.getId())
           {
             usersP.add(actualUser);
             rolesP.add(actualuRole.getName());
           }
         }
      } 

    } 
    pageContext.setAttribute("usersP", usersP);
    pageContext.setAttribute("rolesP", rolesP); */

    Vector events = new Vector();
    events.add("beforeStart");
    events.add("afterStart");
    events.add("beforeTerminate");
    events.add("afterTerminate");
    events.add("anticipate");
    events.add("onCancel");
    pageContext.setAttribute("events", events);
    
    Vector types = new Vector();
    types.add("Java");
    types.add("Tcl");
    types.add("BeanShell");
    pageContext.setAttribute("types", types);

    Vector types2 = new Vector();
    types2.add("InteractionBS");
    pageContext.setAttribute("types2", types2);   

%>

<table width="100%" border="0" cellpadding="0">
    <tr>
	<td>
		<b><bean:message key="index.bonita"/></b>
	</td>
	<c:choose>
	<c:when test="${sessionScope.username != null}">
	<td>
		<td align="right"><font color="#009900"><I><c:out value="${sessionScope.username}"/></I></font></td>
	</td>
	</c:when>
	<c:otherwise>
	<td>
		<td align="right" color="#FF0000"><b class="log"><bean:message key="bonita.notlogged"/></b></td>
	</td>
	</c:otherwise>
	</c:choose>

</tr>
</table>
<hr align="left" width="100%" color="#993366" size="5"</hr>
<table>
	<tr>
		</td>
<table cellpadding="2" cellspacing="2" border="0" width="982" align="left" class="viewer">
	<tr valign="Top">
		<td valign="left" width="300">
			<H4><bean:message key="project.allproperties"/></H4>

<% if (((Vector)pageContext.findAttribute("properties")).size() == 0) {%>
<bean:message key="properties.notexist"/>
<%}else{%>

			<table class="viewer" cellspacing="0" cellpadding="0" width="400">
   				<tr class="tableau">
      				<td class="projet">Name
      				</td>
      				<td class="projet">Value
      				</td>
      				<td class="projet">Action
      				</td>
   				</tr>
   <c:forEach items="${properties}" var="prop">
     			<tr>
         			<td class="tableau">
         				<c:out value="${prop.theKey}"/>
         			</td>
         			<td class="tableau">
        				<c:out value="${prop.theValue}"/>
         			</td>
         			<td class="tableau">
         				<table>
         					<td>
         						<a href="property.action?propertyAction=Delete&key=<c:out value="${prop.theKey}"/>"  onclick="return confirm('Really delete file?');" class="viewer">remove</a>
         					</td>
        					<td>
         						<a href="property.action?propertyAction=EditProjectProp&key=<c:out value="${prop.theKey}"/>&value=<c:out value="${prop.theValue}"/>" class="viewer">edit</a>
        					 </td>
        				</table>
        			</td>
      			</tr>
   </c:forEach>
			</table>
<%}%>

<br>
		</td>
		<td valign="left" width="350">
			<H4><bean:message key="project.allhooks"/></H4>

<% if (((Collection)pageContext.findAttribute("interHooks")).size() == 0) {%>
<bean:message key="hooks.notexist"/>
<%}else{%>
			<table class="viewer" cellspacing="0" cellpadding="0">
   				<tr class="tableau">
      				<td class="projet">Name
      				</td>
      				<td class="projet">Event
      				</td>
      				<td class="projet">Type
     				</td>
      				<td class="projet">Script
      				</td>
      				<td width="100" class="projet">Action
      				</td>
   				</tr>
   <c:forEach items="${interHooks}" var="ho">
      			<tr>
         			<td class="tableau">
         				<c:out value="${ho.name}"/>
         			</td>
         			<td class="tableau">
        				<c:out value="${ho.event}"/>
         			</td>
         			<td class="tableau">
         				<c:out value="${ho.type}"/>
         			</td>
         			<td class="tableau">
         				<c:out value="${ho.script}"/>
         			</td> 
	 				<td>
	 					<table>
	 						<tr>
	 							<td>
         							<a href="hook.action?hookAction=Delete&name=<c:out value="${ho.name}"/>"  onclick="return confirm('Really delete file?');" class="viewer">remove</a>
         						</td>
	 							<td>
         							<a href="hook.action?hookAction=editProjectScript&name=<c:out value="${ho.name}"/>" class="viewer">edit</a>
         						</td>
         					</tr>
         				</table>
         			</td>
      			</tr>
   			</c:forEach>
			</table>
<%}%>

<br>
		</td>
	</tr>
<br><br>
	<tr valign="Top" align="left">
		<td valign="left" width="400">
			<H4><bean:message key="project.allusers"/></H4>
			<table class="viewer" width="400" cellspacing="0" cellpadding="0">
   				<tr class="tableau">
      				<td class="projet">User
     	 			</td>
      				<td class="projet">Role
      				</td>
  	 			</tr>
   <!--Variable servant a grer la multicollection-->
   <c:set var="nbid" value="0" scope="page"/>
   <c:forEach items="${usersP}" var="us">
   
      			<tr>
         			<td class="tableau">
         				<c:out value="${us}"/>
         			</td>
         <c:forEach items="${rolesP}" var="rol" begin="${nbid}" end="${nbid}">
            		<td class="tableau">
               			<c:out value="${rol}"/>
               			<c:set var="nbid" value="${nbid+1}" scope="page"/>
           			 </td>
         </c:forEach>
      			</tr>
   </c:forEach>
			</table>
			
		</td>
		<td valign="Top" align="left" width="400">
		<br>
		<br>


<% if ((pageContext.getRequest()).getParameter("propertyAction") != null && (((pageContext.getRequest()).getParameter("propertyAction")).equals("Edit") || ((pageContext.getRequest()).getParameter("propertyAction")).equals("EditProjectProp")) ) {%> 
<c:choose>
<c:when test="${projectProp==1}">
		<Form method="POST" action="/bonita/protected/property.action?propertyAction=Add" class="FORM">
			<table>
				<tr>
					<td>
						key : 
					</td>
					<td>
						<input type="text" name="key" value="<c:out value="${ProjectProp.key}"/>"readonly>
					</td>
				</tr>
				<tr>	
					<td>
						value : 
					</td>
					<td>
						<input type="text" name="value" value="<c:out value="${ProjectProp.value}"/>">
					</td>
				</tr>
				<tr>
					<td>
						<input type="submit" value="submit">
					</td>
				</tr>
			</table>
		</Form>
</c:when>
<c:otherwise>
		<Form method="POST" action="/bonita/protected/property.action?propertyAction=Add" class="FORM">
			<table>
				<tr>	
					<td>
						key : 
					</td>	
					<td>
						<input type="text" name="key" value="">
					</td>
				</tr>
				<tr>
					<td>
						value : 
					</td>
					<td>
						<input type="text" name="value" value="">
					</td>
				</tr>
				<tr>
					<td>
						<input type="submit" value="submit">
					</td>
				</tr>
			</table>
		</Form>
</c:otherwise>
</c:choose>

 <%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && ((pageContext.getRequest()).getParameter("hookAction")).equals("Edit2"))
   {
%> 

<Form method="POST" action="/bonita/protected/hook.action?hookAction=Add2">
<table>
	<tr>
		<td>
			<bean:message key="prompt.hookName"/>
		</td>
		<td>
			<input type="text" name="name" value="">
		</td>
	</tr>
		<tr>
		<td>
			<bean:message key="prompt.event"/>
		</td>
		<td>
			<select name="event">
				<c:forEach items="${events}" var="event">
					<option value="<c:out value="${event}"/>"><c:out value="${event}"/></option>
				</c:forEach>
				
			</select>
		</td>
	</tr>
	<tr>
		<td>
			<bean:message key="prompt.type"/>
		</td>
		<td>
				<c:forEach items="${types2}" var="type2">
					<input type="text" name="type" value="<c:out value="${type2}"/>" />
				</c:forEach>
		</td>
	</tr>
	<tr>
		<td>
			<input type="submit">
		</td>
	</tr>
</table>
</form>

<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && (pageContext.findAttribute("inter")).equals("true"))
   {
%> <layout:form action="/protected/hook.action?hookAction=AddHook" focus="name" styleClass="FORM" key="hook" align="center">

  <layout:textarea key="prompt.script" property="value" styleClass="LABEL" mode="E,E,E" rows="10" size="40" maxlength="50"/>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

 </layout:form>

<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && (pageContext.getRequest()).getParameter("hookAction").equals("editProjectScript"))
   {
%> 
		<Form method="POST" action="/bonita/protected/hook.action?hookAction=addEditProjectScript" class="FORM">
			<table>
				<tr>
					<td>
						script :
					</td>
					<td>
						<textarea type="textarea" rows="15" name="value" cols="40"><c:out value="${scri}"/></textarea>
					</td>
				</tr>
				<tr>
					<td>
						<input type="submit" value="submit">
					</td>
				</tr>
			</table>
		</Form> 

<html:errors property="property_error"/>
<html:errors property="hook_error"/>
<%}%>

	</tr>
</table>
</td></tr>
<tr>
<td align="center">
<table>
                <tr><br><br>
                	<td><a class="viewer" href="/bonita/IndexAction.jsp"><bean:message key="nav.back"/></a> | </td>
                	<td><a href="project.action?action=viewproject" style="text-decoration: none;" class="viewer"><bean:message key="project.viewmode"/></a> | </td> 
                	<td><a href="property.action?propertyAction=Edit" style="text-decoration: none;" class="viewer"><bean:message key="property.add"/></a> | </td>
                	<td><a href="hook.action?hookAction=Edit2" style="text-decoration: none;" class="viewer"><bean:message key="hookInter.add"/></a> | </td>
                	<td><a class="viewer" href="/chainsaw/chainsaw.jnlp"><bean:message key="log.menu"/></a></td>
                </tr>
            </table>
</td>
</tr>
</table>