<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" doctype-public="-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" doctype-system="http://java.sun.com/dtd/ejb-jar_2_0.dtd"/>

	<!-- =================================================================== -->
	<!-- Identity template                                                   -->
	<!-- =================================================================== -->
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- AllProjectsSession.getProjects                                              -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='AllProjectsSession' and ../method/method-name='getProjects']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- BnNode.getBnNodeValue                                               -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='BnNode' and ../method/method-name='getBnNodeValue']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- BnProject.getBnNodes                                                -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='BnProject' and ../method/method-name='getBnNodes']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- BnProject.getBnProjectValue                                         -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='BnProject' and ../method/method-name='getBnProjectValue']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- BnUser.getBnUserValue                                               -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='BnUser' and ../method/method-name='getBnUserValue']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.containsUser                                         -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='containsUser']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getAllUsers                                          -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getAllUsers']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getEdgesNames                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getEdgesNames']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getHooks                                             -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getHooks']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeInterHook                                     -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeInterHook']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getInterHooks                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getInterHooks']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getInterHookValue                                    -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getInterHookValue']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getIterations                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getIterations']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeDeadline                                      -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeDeadline']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeDeadlines                                     -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeDeadlines']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeInterHooks                                    -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeInterHooks']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeInterHookValue                                -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeInterHookValue']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeHooks                                         -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeHooks']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeOutEdges                                      -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeOutEdges']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeProperty                                      -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeProperty']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodeProperties                                    -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodeProperties']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getNodes                                             -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodes']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- ProjectSession.getNodesNames                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getNodesNames']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getProperties                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getProperties']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getPropertiesKey                                     -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getPropertiesKey']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getProperty                                          -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getProperty']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- ProjectSession.getRoleMappers                                       -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getRoleMappers']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- ProjectSession.getRoleValue                                         -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getRoleValue']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- ProjectSession.getRoles                                             -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getRoles']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getRolesNames                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getRolesNames']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- ProjectSession.getRolesValue                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getRolesValue']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getStrutsEdges                                       -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getStrutsEdges']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getStrutsNode                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getStrutsNode']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getStrutsNodeEdges                                   -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getStrutsNodeEdges']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getStrutsNodes                                       -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getStrutsNodes']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- ProjectSession.getUserRoles                                         -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getUserRoles']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getUserRolesInProject                                -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getUserRolesInProject']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- ProjectSession.getUserRolesInProjectNames                           -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getUserRolesInProjectNames']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getUsers                                             -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getUsers']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.getUsersRole                                         -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='getUsersRole']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.isAdminOfProject                                     -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='isAdminOfProject']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.isTerminated                                         -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='isTerminated']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

	<!-- =================================================================== -->
	<!-- ProjectSession.instantiateProject                                   -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='ProjectSession' and ../method/method-name='instantiateProject']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- UserRegistration.setUserRole                                        -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='UserRegistration' and ../method/method-name='setUserRole']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>
	
	<!-- =================================================================== -->
	<!-- UserSession.getUserProperties                                       -->
	<!-- =================================================================== -->
	<xsl:template match="trans-attribute[../method/ejb-name='UserSession' and ../method/method-name='getUserProperties']">
		<trans-attribute>Required</trans-attribute>
	</xsl:template>

</xsl:stylesheet>