/*
 * Created on 02 mai. 2004 by the Message Center Team
 */
package mc.formgenerator.servlets.util;

import java.io.PrintWriter;

/**
 * Offers a method to display a message to the user via a servlet
 */
public class MessageServlet {

	/**
	 * Default constructor
	 */
	public MessageServlet(){};
	
	
	
	
	/**
	 * Display a message to the user via a servlet
	 * @param out: The writer in which we must write
	 * @param message: The message to display
	 */
	public void writeMessage(PrintWriter out, String message){
		
		out.println("<table bgcolor=\"#ddddff\" width=\"100%\" height=\"100%\">");
		out.println("	<tr valign=\"middle\">");
		out.println("		<td>");
		out.println("			<center><b>"+message+"</b></center>");
		out.println("		</tr>");
		out.println("	</td>");
		out.println("</table>");
	}
}
