package hero.client.grapheditor;

import java.awt.BorderLayout;
import java.net.URL;

import javax.swing.JEditorPane;
import javax.swing.JFrame;

public class Info extends JFrame {

static java.util.ResourceBundle resource = java.util.ResourceBundle.getBundle("resources.Traduction")/*#BundleType=List*/;

	private static Info INSTANCE = new Info();

	private Info() {
		super(resource.getString("info.about"));
		setSize(276, 322);
		setResizable(false);
		setIconImage(Frame.getFrame().getIconImage());
		JEditorPane html = new JEditorPane();
		html.setEditable(false);
		html.setContentType("text/html");
		URL url = Thread.currentThread().getContextClassLoader().getResource(Frame.imageBase + "logo.png");
		html.setText(
			"<html><body background='"
				+ url
				+ resource.getString("info.html"));
		getContentPane().add(html, BorderLayout.CENTER);
	}

	public static void showInfo() {
		INSTANCE.setLocation(
			((Frame.getFrame().getWidth() - INSTANCE.getWidth()) / 2) + Frame.getFrame().getX(),
			((Frame.getFrame().getHeight() - INSTANCE.getHeight()) / 2) + Frame.getFrame().getY());
		INSTANCE.setVisible(true);
	}

}
