/*
 * @(#)Queue.java	1.0 02/02/01
 *
 * Copyright (C) 2001 Gaudenz Alder
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package hero.client.grapheditor;

import java.util.Vector;

/**
 *  Class to implement a simple queue of integers.

 * </p>Here is the <a href="../algorithm/shawn/Queue.java">source</a>.
 */

public class Queue
  {
   private static int size;
   Vector array;

   public Queue()
     {
      array = new Vector();
     }

   public int push(int item)
     {
      int num;
      array.addElement(new Integer(item));
      num = array.size();
      return num;
     }

   public int pop()
     {
      int item;
      item = ((Integer)array.elementAt(0)).intValue();
      array.removeElementAt(0);
      return item;
     }

   public boolean isEmpty()
     {
      return(array.isEmpty());
     }
  }
