package hero.client.samples;

import hero.client.test.SimpleCallbackHandler;
import hero.interfaces.Constants;
import hero.interfaces.ProjectSession;
import hero.interfaces.ProjectSessionHome;
import hero.interfaces.ProjectSessionUtil;

import javax.security.auth.login.LoginContext;

public class RemovePerformerAssignment {
	static public void main(String[] args) throws Exception{
		// Admin login
		char[] password={'t','o','t','o'};
		SimpleCallbackHandler handler = new SimpleCallbackHandler("admin",password);
		LoginContext lc = new LoginContext("TestClient", handler);
		lc.login();
		
		ProjectSessionHome projectSessionh=ProjectSessionUtil.getHome();				
		ProjectSession pss=projectSessionh.create();
		pss.initModel("PerformerAssignment");
		pss.setProperty("prop1","value1");
		
		pss.addNode("node1",Constants.Nd.AND_JOIN_NODE);
		pss.setNodeRole("node1","admin");
		pss.addNode("node2",Constants.Nd.AND_JOIN_NODE);
		pss.addEdge("node1","node2");
		pss.addNodePerformerAssign("node2","myPerformer",Constants.PerformerAssigment.PROPERTIES, "prop1");

		pss.removeNodePerformerAssign("node2");
			
	}
}

