/**
 *
 * Bonita
 * Copyright (C) 1999 Bull S.A.
 * Bull 68 route de versailles  78434 Louveciennes Cedex France
 * Further information: bonita@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
--------------------------------------------------------------------------
 * $Id: PerfTestSuite.java,v 1.1 2004/07/30 14:57:58 mvaldes Exp $
 *
--------------------------------------------------------------------------
 */

package hero.client.test.performance;

import javax.security.auth.login.LoginContext;
import javax.security.auth.login.LoginException;
import hero.client.test.SimpleCallbackHandler;


import junit.framework.TestSuite;

public class PerfTestSuite extends TestSuite {

    public PerfTestSuite(String testname) {
	super(testname);
    }

    public static TestSuite suite() throws LoginException{
		
	char[] password={'t','o','t','o','2'};
	SimpleCallbackHandler handler = new SimpleCallbackHandler("admin2",password);
	LoginContext lc = new LoginContext("TestClient", handler);
	lc.login();

	TestSuite st=new TestSuite();
	//st.addTest(new TestSuite(hero.client.test.performance.UsersTests.class));
	st.addTest(new TestSuite(hero.client.test.performance.PerformanceTests.class));
	return st;
    }
}
