package hero.entity;

/*
*
* EdgeState.java - 
* Copyright (C) 2002 Ecoo Team
* charoy@loria.fr
* 
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


import hero.interfaces.BnNodeLocal;

public abstract class EdgeState implements java.io.Serializable {
    
    public static EdgeState make(int type)  {
	if(type == hero.interfaces.Constants.Nd.AND_JOIN_NODE) {return new AndEdgeState();} 
	if(type == hero.interfaces.Constants.Nd.OR_JOIN_NODE) {return new OrEdgeState();} 
	if(type == hero.interfaces.Constants.Nd.AND_JOIN_AUTOMATIC_NODE) {return new AndEdgeState();} 
	if(type == hero.interfaces.Constants.Nd.OR_JOIN_AUTOMATIC_NODE) {return new OrEdgeState();} 

	return new AndEdgeState();
    }

    public abstract int state(BnNodeLocal nd);
    
}















