package hero.historic;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: ProjectHistoric.java,v 1.2 2006/07/26 13:36:41 mvaldes Exp $
*
--------------------------------------------------------------------------
*/


import java.io.Serializable;
import java.util.Vector;

public final class ProjectHistoric implements Serializable, java.lang.Cloneable {

    // --------------------------------------------------- Instance Variables

	private String name="";
	private String version="";
	private String creationDate="";
	private String endDate="";
	private String initiator="";
	private Vector properties;
	private Vector nodes;


	public String getName() {
		return (name);
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getVersion() {
		return (version);
	}
	
	public void setVersion(String version) {
		this.version = version;
	}
	
	public String getCreationDate() {
		return (creationDate);
	}
	
	public void setCreationDate(String creationDate) {
		this.creationDate= creationDate;
	}
	
	public String getEndDate() {
		return (endDate);
	}
	
	public void setEndDate(String endDate) {
		this.endDate= endDate;
	}
	
	public String getInitiator() {
		return (initiator);
	}
	
	public void setInitiator(String initiator) {
		this.initiator= initiator;
	}
	
    public Vector getProperties() {
    	return (properties);
    }

    public void setProperties(Vector properties) {
        this.properties = properties;
    }
    
    public Vector getNodes() {
    	return (nodes);
    }

    public void setNodes(Vector nodes) {
        this.nodes = nodes;
    }

    public ProjectHistoric(){}

    public Object clone() throws java.lang.CloneNotSupportedException{
	return super.clone();
    }

}
