package hero.hook;

/*
*
* NodeHookI.java - 
* Copyright (C) 2003 Ecoo Team
* charoy@loria.fr
* 
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

import hero.interfaces.BnNodeLocal;
import hero.util.HeroHookException;

public interface NodeHookI {
	public String getMetadata();
    public void beforeStart(Object b,BnNodeLocal n) throws HeroHookException;
    public void afterStart(Object b,BnNodeLocal n) throws HeroHookException;
    public void beforeTerminate(Object b,BnNodeLocal n) throws HeroHookException;
    public void afterTerminate(Object b,BnNodeLocal n) throws HeroHookException;
    public void anticipate(Object b,BnNodeLocal n) throws HeroHookException;
    public void onCancel(Object b,BnNodeLocal n) throws HeroHookException;
    public void onDeadline(Object b,BnNodeLocal n) throws HeroHookException;
    public void onReady(Object b,BnNodeLocal n) throws HeroHookException;
   
}





