package hero.user;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: ReadEnv.java,v 1.4 2007/09/19 10:25:55 mvaldes Exp $
*
--------------------------------------------------------------------------
*/

import java.io.*;
import java.util.*;
import java.util.Properties;

public class ReadEnv {
 public static Properties getEnvVars() throws Exception {
  Process p = null;
  Properties envVars = new Properties();
  Runtime r = Runtime.getRuntime();
  String OS = System.getProperty("os.name").toLowerCase();
  if (OS.indexOf("windows 9") > -1) {
    p = r.exec( "command.com /c set" );
    }
  else if ( (OS.indexOf("nt") > -1)
         || (OS.indexOf("windows 200") > -1 )
         || (OS.indexOf("windows vista") > -1 )
         || (OS.indexOf("windows xp") > -1) ) {
    p = r.exec( "cmd.exe /c set" );
    }
  else {
    p = r.exec( "env" );
    }
  BufferedReader br = new BufferedReader
     ( new InputStreamReader( p.getInputStream() ) );
  String line;
  while( (line = br.readLine()) != null ) {
   int idx = line.indexOf( '=' );
   	if (idx != -1)
	{
	   String key = line.substring( 0, idx );
	   String value = line.substring( idx+1 );
	   envVars.setProperty( key, value );
	}
   }
  return envVars;
  }

  public void ReadEnv(){} 
 
  public String getVariable(String name) throws Exception{
     Properties p = ReadEnv.getEnvVars();
     String prop = p.getProperty(name);
     if (prop == null) prop = System.getProperty(name);
     return (prop);
  }
}
 
