package hero.util;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: BonitaParsing.java,v 1.1 2006/08/31 14:47:05 mvaldes Exp $
*
--------------------------------------------------------------------------
*/

public class BonitaParsing {

	// Get the name of the project model of this instance
	public static String getModel(String instanceName) {
		int i = instanceName.indexOf("_instance");
		if (i!=-1)
			return (instanceName.substring(0, i));
		else
			return(instanceName); // for cooperative processes
	}

	// Get the name of the subProcesses
	public static String getSubProcessName(String name) {
		int i = name.indexOf("_version");
		return (name.substring(0, i));
	}

	// Get the version of the subProcesses
	public static String getSubProcessVersion(String name) {
		int i = name.indexOf("_version");
		return (name.substring(i+8));
	}
	
	// Get the name of the instace
	public static String getParentInstanceName(String name) {
		int i = name.indexOf("_node");
		return (name.substring(0, i));
	}
	
	// Get the name of the node
	public static String getParentNodeName(String name) {
		int i = name.indexOf("_node");
		return (name.substring(i+6));
	}
	
}