/*
*
* NodeProperties.java - 
* Copyright (C) 2003 Ecoo Team
* valdes@loria.fr
* 
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


package hero.util;

import java.io.Serializable;
import java.util.*;

public final class NodeProperties implements Serializable, java.lang.Cloneable {

    // --------------------------------------------------- Instance Variables

    private Collection properties;

    private String projectName;

    // ----------------------------------------------------------- Properties


    /**
     * Get the projectName
     *@return String
     */
    public String getProjectName() {
    	return (projectName);
    }

    /**
     * Set the project name.
     * @param projectName
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * Get the properties
     *@return Collection
     */
    public Collection getProperty() {
    	return (properties);
    }

    /**
     * Set the properties.
     * @param properties
     */
    public void setProperty(Collection properties) {
        this.properties = properties;
    }

    public NodeProperties(){}

    public Object clone() throws java.lang.CloneNotSupportedException{
	return super.clone();
    }

}
