/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: BonitaProjectValue.java,v 1.3 2006/06/20 12:54:46 blachonm Exp $
*
--------------------------------------------------------------------------
*/
package hero.util.values;
import java.util.ArrayList;
import java.util.Collection;

public class BonitaProjectValue implements java.io.Serializable  {

    private String name = null;

    private String version = null;

    private String type = null;

    private String status = null;

    private BonitaConfigValue projectConfig = null;

    private Collection hooks = new ArrayList();

    private Collection interHooks = new ArrayList();

    private Collection nodes = new ArrayList();

    private Collection properties = new ArrayList();

    private Collection roles = new ArrayList();

    private Collection users = new ArrayList();

    private Collection iterations = new ArrayList();

    // ----------------------------------------------------------- Properties

    public String getName() {
    	return (name);
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
    	return (version);
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getType() {
    	return (type);
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
    	return (status);
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Collection getNodes() {
    	return (this.nodes);
    }

    public void setNodes(Collection nodes) {
        this.nodes = nodes;
    }

    public Collection getProperties() {
    	return (this.properties);
    }

    public void setProperties(Collection properties) {
        this.properties = properties;
    }

    public Collection getRoles() {
    	return (this.roles);
    }

    public void setRoles(Collection roles) {
        this.roles = roles;
    }

    public Collection getUsers() {
    	return (this.users);
    }

    public void setUsers(Collection users) {
        this.users = users;
    }

    public Collection getHooks() {
    	return (this.hooks);
    }

    public void setHooks(Collection hooks) {
        this.hooks = hooks;
    }

    public Collection getInterHooks() {
    	return (this.interHooks);
    }

    public void setInterHooks(Collection interHooks) {
        this.interHooks = interHooks;
    }

    public Collection getIterations() {
    	return (this.iterations);
    }

    public void setIterations(Collection iterations) {
        this.iterations = iterations;
    }

    public BonitaConfigValue getProjectConfig() {
    	return (this.projectConfig);
    }

    public void setProjectConfig(BonitaConfigValue projectConfig) {
        this.projectConfig = projectConfig;
    }

    public BonitaProjectValue(){}
}
