package hero.xpdl;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: XPDLInitiatorMapper.java,v 1.1 2006/06/06 08:16:08 mvaldes Exp $
*
--------------------------------------------------------------------------
*/

import java.io.Serializable;

public final class XPDLInitiatorMapper implements Serializable, java.lang.Cloneable {

    // --------------------------------------------------- Instance Variables

    private String initiatorMapperName = ""; 
    private String initiatorMapperType = ""; 
        
    
    // Initiator Mapper feature
    public String getInitiatorMapperName() {
    	return (initiatorMapperName);
    }
    
    public void setInitiatorMapperName(String initiatorMapperName) {
        this.initiatorMapperName = initiatorMapperName;
    }
    
    public String getInitiatorMapperType() {
    	return (initiatorMapperType);
    }
    
    public void setInitiatorMapperType(String initiatorMapperType) {
        this.initiatorMapperType = initiatorMapperType;
    }    

    public XPDLInitiatorMapper(){}

    public Object clone() throws java.lang.CloneNotSupportedException{
	return super.clone();
    }

}
