<%
// Index.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>

<table width="100%" border="0" cellpadding="0">
    <tr>
	<td>
		<b><bean:message key="index.bonita"/></b>
	</td>
	<c:choose>
	<c:when test="${sessionScope.username != null}">
	<td>
		<td align="right"><font color="#009900"><I><c:out value="${sessionScope.username}"/></I></font></td>
	</td>
	</c:when>
	<c:otherwise>
	<td>
		<td align="right" color="#FF0000"><b class="log"><bean:message key="bonita.notlogged"/></b></td>
	</td>
	</c:otherwise>
	</c:choose>

</tr>
</table>
<hr align="left" width="100%" color="#993366" size="5"</hr>
<br>
<br>
<%
	      java.util.Vector proj=(java.util.Vector)session.getAttribute("allprojects");
	      session.setAttribute("nbProjects",java.lang.Integer.toString(proj.size()));
%>
<c:if test="${nbProjects!=0}">
<table align="center" border="0">
	<tr><td>
   <table cellspacing="0"  class="viewer" width="500" align="center">
    <tbody>
      <tr valign="Top" class="tableau"><td></td>
        <td class="projet"><bean:message key="index.project"/></td>
        <td class="projet"><bean:message key="index.state"/></td>
	<td  class="projet"><bean:message key="index.activities"/></td>
    <td class="projet"><bean:message key="index.creator"/></td>
	<td class="projet"><bean:message key="index.users"/></td>
	</tr>
<%--Dclaration de la variable grant le numro de page des projet pour le "pager" --%>
<c:if test="${empty numpageprojet}">
<c:set var="numpageprojet" value="1" scope="session"/>
</c:if>

<c:if test="${empty nbprojet}">
<c:set var="nbprojet" value="10" scope="session"/>
</c:if>
  <c:forEach items="${allprojects}" var="projectItem" varStatus="status" begin="${nbprojet*numpageprojet-nbprojet}" end="${nbprojet*numpageprojet}">
        
              <tr height="30">
              <td align="center"><img src="./images/fleur.gif" border="0" width="20" height="20"></td>
	      <td>
		<a href="/bonita/protected/Action.jsp?projectname=<c:out value="${projectItem.name}"/>" class="viewer">
 		  <b><c:out value="${projectItem.name}"/></b>
		</a>
 	      </td>
	      <td class="tableau">
		<c:out value="${projectItem.state}"/>
	      </td>
	      <td class="tableau">
		<c:out value="${projectItem.nact}"/>
	      </td>
	    <td class="tableau">
		<c:out value="${projectItem.creator}"/>
	      </td>
	      <td class="tableau">
		<c:out value="${projectItem.nusers}"/>
	      </td>
	    </tr>
	    
	  </c:forEach> 

   </tbody>

  </table>
  </c:if>
</td></tr>
<tr><td>
<html:errors property="project_error"/>
<table align="center" cellspacing="5"><tr>
<c:if test="${numpageprojet>0}">
 <div align="center">
   <c:if test="${numpageprojet>1}">
  <td> <a href="/bonita/Firstpage.jsp" class="pager"><<</a></td>
  <td><a href="/bonita/Prevpage.jsp" class="pager"><</a></td>
   </c:if>
   
   <td><bean:message key="pager.page"/>
   <c:out value="${numpageprojet}"/>
   /
   <c:if test="${nbProjects % nbprojet!=0}">
   <fmt:formatNumber var="numprojetmax" value="${nbProjects / nbprojet +0.5}" type="number" maxFractionDigits="0" scope="session"/>
   <c:out value="${numprojetmax}"/>
   </c:if>
   <c:if test="${nbProjects % nbprojet==0}">
   <fmt:formatNumber var="numprojetmax" value="${nbProjects / nbprojet}" type="number" maxFractionDigits="0" scope="session"/>
   </c:if>
   <c:if test="${nbprojet*numpageprojet < nbProjects}">
   <td><a href="/bonita/Nextpage.jsp" class="pager">></a></td>
   <td><a href="/bonita/Lastpage.jsp" class="pager">>></a></div></td>
   </c:if>
   
</c:if>
<c:if test="${nbProjects==0}">
<td><p align="center"><bean:message key="pager.noproject"/></p></td>
</c:if>
</tr></table>
</td></tr>
</table>