<%
// ProjectView.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>

<html>
  <head>
    <STYLE TYPE=text/css>.texte {font-face:Arial;font-size:10px;color:black }</STYLE>
    <link rel="stylesheet" href='/bonita/config/default.css' type="text/css">
  </head>
  <body>
<table width="100%" border="0" cellpadding="0">
    <tr>
	<td>
		<b><bean:message key="index.bonita"/></b>
	</td>
	<c:choose>
	<c:when test="${sessionScope.username != null}">
	<td>
		<td align="right"><font color="#009900"><I><c:out value="${sessionScope.username}"/></I></font></td>
	</td>
	</c:when>
	<c:otherwise>
	<td>
		<td align="right" color="#FF0000"><b class="log"><bean:message key="bonita.notlogged"/></b></td>
	</td>
	</c:otherwise>
	</c:choose>

</tr>
</table>
<hr align="left" width="100%" color="#993366" size="5"</hr>
  <H3 align="center"><font color="#056DB0"><I><bean:write name="project" property="name"/></I> <bean:message key="project.projectname"/> <bean:write name="project" property="creator"/></H3>

  <h2 align="left"></h2>
  <table cellpadding="2" cellspacing="2" border="0" width="950" align="center" class="viewer">
    <tbody>
      <tr valign="Top">
      
        <td valign="left" width="100%">
          <H4><bean:message key="project.allnodes"/></H4>
          <c:if test="${empty nodes}">
          <bean:message key="activity.noconnexion"/>
          </c:if>
          <c:if test="${not empty nodes}">
          <table cellspacing="0" width="750" align="left" class="viewer" cellspacing="0" cellpadding="0">
            <tbody>
              <tr valign="Top" align="center"class="tableau">
                <td class="projet"><bean:message key="activity.name"/></td>
                <td class="projet"><bean:message key="activity.creator"/></td>
            	<td class="projet"><bean:message key="activity.state"/></td>
        	<td class="projet"><bean:message key="activity.type"/></td>
        	<td class="projet"><bean:message key="activity.role"/></td>
        	<td class="projet"><bean:message key="activity.deadline"/></td>
        	<td class="projet"><bean:message key="activity.anticipable"/></td>

                <c:forEach items="${nodes}" var="node" varStatus="status">
    	          <tr align="center">
     	            <td>
 		      <a href="node.action?nodeAction=Activity&nodename=<c:out value="${node.name}"/>" class="viewer">
 		        <c:out value="${node.name}"/>
		      </a>
 	            </td>
	            <td class="tableau">
                      <c:out value="${node.creator}"/>
	            </td>
	            <td class="tableau">
		      <c:out value="${node.state}"/>
	            </td>
	            <td class="tableau">
		      <c:out value="${node.type}"/>
	            </td>
	            <td class="tableau">
		      <c:out value="${node.role}"/>
	            </td>
	            <td class="tableau">
		      <c:out value="${node.deadline}"/>
	            </td>
	            <td class="tableau">
		      <c:out value="${node.anticipable}"/>
	            </td>
	          </tr>	
	        </c:forEach>
              </tr>
            </tbody>
          </table>
          </c:if>
        </td></tr>
        <br>
        <tr valign="Top" align="left">
          <td valign="Top">
          <br>
          <H4><bean:message key="project.allconnections"/></H4>
          <c:if test="${ empty edges}">
          	<div align="center">il n'y a pas de connexion entre activit</div>
          </c:if>
          <c:if test="${not empty edges}">
          <table cellpadding="0" width="500" cellspacing="0" border="0" align="left" valign="Top" class="viewer">
            <tbody>
              <tr valign="Top" align="center" class="tableau">
                <td class="projet"><bean:message key="edge.state"/></td>
                <td class="projet"><bean:message key="edge.nodein"/></td>
            	<td class="projet"><bean:message key="edge.nodeout"/></td>
            	<td class="projet"><bean:message key="heading.action"/></td>

                <c:forEach items="${edges}" var="edge" varStatus="status">
    	          <tr align="center">
	            <td class="tableau">
		      <c:out value="${edge.state}"/>
	            </td>
	            <td class="tableau">
		      <c:out value="${edge.inNode}"/>
	            </td>
	            <td class="tableau">
		      <c:out value="${edge.outNode}"/>
	            </td>
	            <td class="tableau">
		      <a href="edge.action?edgeAction=Delete&name=<c:out value="${edge.name}"/>" class="viewer">
                      <bean:message key="edge.delete"/>
		      </a>
 	            </td>
	          </tr>	
	        </c:forEach>
                </tr>
                <tr><td><html:errors property="node_error"/>
                  <html:errors property="edge_error"/></td></tr>
            </tbody>
          </table>
          </c:if>
        </tr>
        <tr>
        	<td align="center">
        		<table align="center">
                	<tr><br><br>
                		<td><a class="viewer" href="/bonita/IndexAction.jsp"><bean:message key="nav.back"/></a> | </td>
                		<td><a href="project.action?action=configproject" class="viewer"><bean:message key="project.configmode"/></a> | </td> 
                		<td><a class="viewer" href="/chainsaw/chainsaw.jnlp"><bean:message key="log.menu"/></a></td>
                	</tr>
                </table>
          	</td>
          </tr>
      </tbody>
    </table>
  </body>
</html>
