<%
// ViewActivity.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page import="java.util.Collection, java.util.Vector, hero.util.StrutsNodeValue" %>
<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>

<jsp:useBean id="node" scope="session" class="hero.util.StrutsNodeValue"/>

<html>

<head>
<link style="test/css" rel="stylesheet" href="/bonita/config/default.css">
</head>
<body>
<table witdh="100%" border="0">
<tr>
<td>
<table border="0" cellspacing="10" cellpadding="10"><tr><td>
  <table class="viewer">
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.project"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.projectName}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.activity"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.name}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.creator"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.creator}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.state"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.state}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.type"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.type}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.executor"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.executor}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.role"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.role}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.description"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.description}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			<bean:message key="prompt.anticipable"/>
		</td>
		<td class="viewerActBody">
			<c:out value="${node.anticipable}"/>
		</td>
	</tr>
	<tr>
		<td class="viewerActTitle">
			Date:
		</td>
		<td class="viewerActBody">
			<c:out value="${node.deadline}"/>
		</td>
	</tr>
</table>
    </td>
    <td valign="top">
       <table align="left" class="viewer">
          <tbody>
             <tr>
             <td align="left">
                <H4><bean:message key="activity.edges"/></H4>
                <tr>
                   <td>
                   <c:if test="${empty edges}">
                   	<div align="center"><bean:message key="activity.nolink"/></div>
                   </c:if>
                   <c:if test="${not empty edges}">
                      <table class="viewer" width="500">
                         <tr class="tableau">
                            <td class="projet"><bean:message key="activity.state"/>
                            </td>
                            <td class="projet"><bean:message key="activity.nodein"/>
                            </td>
                            <td class="projet"><bean:message key="activity.nodeout"/>
                            </td>
                         </tr>
                         <c:forEach items="${edges}" var="edge">
                            <tr>
                               <td>
                                  <c:out value="${edge.state}"/><a>
                               </td>
                               <td>
                                  <a href="node.action?nodeAction=Activity&nodename=<c:out value="${edge.inNode}"/>" class="viewer"><c:out value="${edge.inNode}"/></a>
                               </td>
	                       <td>
                               <a href="node.action?nodeAction=Activity&nodename=<c:out value="${edge.outNode}"/>" class="viewer"><c:out value="${edge.outNode}"/></a>
                               </td>
                            </tr>
                         </c:forEach>
                         </c:if>
                      </table>
                   </td>
                </tr>
                </table>
                
                <tr><td>&nbsp;</td></tr>
                
</table>

</td>
</tr>
<tr>
<td align="center">
<table align="center">
               <tr>
               <td><a class="viewer" href="/bonita/IndexAction.jsp"><bean:message key="nav.back"/></a> | </td>
                		<td><a href="activity.action?action=editactivity" class="viewer"><bean:message key="activity.editmode"/></a> | </td> 
                		<td><a class="viewer" href="/chainsaw/chainsaw.jnlp"><bean:message key="log.menu"/></a></td>
                	</tr>
                </table>
</td>
</tr>
</table>
</body>
</html>
