package hero.struts.activity;

import java.io.Serializable;
import java.util.*;

public class Worklist implements Serializable{

    /**
     * The project name
     */
    private String projectName = null;

    /**
     * The ready todoList 
     */
    private Hashtable todoListReady = new Hashtable();

    /**
     * The anticipable todoList
     */
    private Hashtable todoListAnti = new Hashtable();

    /**
     * The anticipating activityList 
     */
    private Hashtable activityListAnti = new Hashtable();

    /**
     * The executing activityList 
     */
    private Hashtable activityListExec = new Hashtable();


    // ----------------------------------------------------------- Properties

    /**
     * Get the projectName
     *@return String 
     */
    public String getProjectName() {
    	return (projectName);
    }

    /**
     * Set the projectName
     * @param projectName
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * Get the Ready todoList
     *@return Vector
     */
    public Vector getTodoListReady() {
	return new java.util.Vector(todoListReady.values());
    }

    /**
     * Set the Ready todoList
     * @param todoListReady
     */
    public void setTodoListReady(Hashtable todoListReady) {
        this.todoListReady = todoListReady;
    }

    /**
     * Get the Anticipable todoList
     *@return Vector
     */
    public Vector getTodoListAnti() {
	return new java.util.Vector(todoListAnti.values());
    }

    /**
     * Set the Anticipable todoList
     * @param todoListAnti
     */
    public void setTodoListAnti(Hashtable todoListAnti) {
        this.todoListAnti = todoListAnti;
    }


    /**
     * Get the Anticipating activityList
     *@return Vector
     */
   public Vector getActivityListAnti() {
       return new java.util.Vector(activityListAnti.values());
   }

   /**
    * Set the Anticipating activityList
    * @param activityListAnti
    */
   public void setActivityListAnti(Hashtable activityListAnti) {
       this.activityListAnti = activityListAnti;
   }

    /**
     * Get the Executing activityList
     *@return Vector
     */
   public Vector getActivityListExec() {
       return new java.util.Vector(activityListExec.values());
   }

   /**
    * Set the activityListExec
    * @param activityListExec
    */
   public void setActivityListExec(Hashtable activityListExec) {
       this.activityListExec = activityListExec;
   }
}
